import 'package:excelso_attendance/main.dart';

const String _latitude = 'laU';
const String _longitude = 'loU';
const String _listAbsent = 'listAbsent';
const String _outletLogo = '_logo';

String? getLatitude() {
  return prefs.getString(_latitude);
}

Future<String> setLatitude(String value) async {
  prefs.setString(_latitude, value);
  return value;
}

String? getLongitude() {
  return prefs.getString(_longitude);
}

Future<String> setLongitude(String value) async {
  prefs.setString(_longitude, value);
  return value;
}

Future<void> setListAbsentUser(List<String> value) async {
  prefs.setStringList(_listAbsent, value);
}

List<String> getListAbsentUser() {
  return prefs.getStringList(_listAbsent) ?? [];
}

Future<void> setLogo(String value) async {
  await prefs.setString(_outletLogo, value);
}

String getLogo() {
  return prefs.getString(_outletLogo) ?? "";
}
